Atoms GUI: focus on the GUI when relaunching it
[scilab.git] / scilab / modules / atoms / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO
19 #
20 # Copyright (C) 2012 - 2016 - Scilab Enterprises
21 #
22 # This file is hereby licensed under the terms of the GNU GPL v2.0,
23 # pursuant to article 5.3.4 of the CeCILL v.2.1.
24 # This file was originally licensed under the terms of the CeCILL v2.1,
25 # and continues to be available under such terms.
26 # For more information, see the COPYING file which you should have received
27 # along with this program.
28
29 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
30 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
31 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
32 #
33 # Copyright (C) 2012 - 2016 - Scilab Enterprises
34 #
35 # This file is hereby licensed under the terms of the GNU GPL v2.0,
36 # pursuant to article 5.3.4 of the CeCILL v.2.1.
37 # This file was originally licensed under the terms of the CeCILL v2.1,
38 # and continues to be available under such terms.
39 # For more information, see the COPYING file which you should have received
40 # along with this program.
41 #
42
43 ##########
44 ### Makefile included stuff
45 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
46 ##########
47
48 VPATH = @srcdir@
49 am__is_gnu_make = { \
50   if test -z '$(MAKELEVEL)'; then \
51     false; \
52   elif test -n '$(MAKE_HOST)'; then \
53     true; \
54   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
55     true; \
56   else \
57     false; \
58   fi; \
59 }
60 am__make_running_with_option = \
61   case $${target_option-} in \
62       ?) ;; \
63       *) echo "am__make_running_with_option: internal error: invalid" \
64               "target option '$${target_option-}' specified" >&2; \
65          exit 1;; \
66   esac; \
67   has_opt=no; \
68   sane_makeflags=$$MAKEFLAGS; \
69   if $(am__is_gnu_make); then \
70     sane_makeflags=$$MFLAGS; \
71   else \
72     case $$MAKEFLAGS in \
73       *\\[\ \   ]*) \
74         bs=\\; \
75         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
76           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
77     esac; \
78   fi; \
79   skip_next=no; \
80   strip_trailopt () \
81   { \
82     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
83   }; \
84   for flg in $$sane_makeflags; do \
85     test $$skip_next = yes && { skip_next=no; continue; }; \
86     case $$flg in \
87       *=*|--*) continue;; \
88         -*I) strip_trailopt 'I'; skip_next=yes;; \
89       -*I?*) strip_trailopt 'I';; \
90         -*O) strip_trailopt 'O'; skip_next=yes;; \
91       -*O?*) strip_trailopt 'O';; \
92         -*l) strip_trailopt 'l'; skip_next=yes;; \
93       -*l?*) strip_trailopt 'l';; \
94       -[dEDm]) skip_next=yes;; \
95       -[JT]) skip_next=yes;; \
96     esac; \
97     case $$flg in \
98       *$$target_option*) has_opt=yes; break;; \
99     esac; \
100   done; \
101   test $$has_opt = yes
102 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
103 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
104 pkgdatadir = $(datadir)/@PACKAGE@
105 pkgincludedir = $(includedir)/@PACKAGE@
106 pkglibdir = $(libdir)/@PACKAGE@
107 pkglibexecdir = $(libexecdir)/@PACKAGE@
108 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
109 install_sh_DATA = $(install_sh) -c -m 644
110 install_sh_PROGRAM = $(install_sh) -c
111 install_sh_SCRIPT = $(install_sh) -c
112 INSTALL_HEADER = $(INSTALL_DATA)
113 transform = $(program_transform_name)
114 NORMAL_INSTALL = :
115 PRE_INSTALL = :
116 POST_INSTALL = :
117 NORMAL_UNINSTALL = :
118 PRE_UNINSTALL = :
119 POST_UNINSTALL = :
120 build_triplet = @build@
121 host_triplet = @host@
122 @NEED_JAVA_TRUE@am__append_1 = java
123 subdir = modules/atoms
124 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
126         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
127         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
128         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
129         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
130         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
131         $(top_srcdir)/m4/intel_compiler.m4 \
132         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
133         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
134         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
135         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
136         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
137         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
138         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
139         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
140         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
141         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
142         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
143 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
144         $(ACLOCAL_M4)
145 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
146 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
147 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
148 CONFIG_CLEAN_FILES =
149 CONFIG_CLEAN_VPATH_FILES =
150 AM_V_P = $(am__v_P_@AM_V@)
151 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
152 am__v_P_0 = false
153 am__v_P_1 = :
154 AM_V_GEN = $(am__v_GEN_@AM_V@)
155 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
156 am__v_GEN_0 = @echo "  GEN     " $@;
157 am__v_GEN_1 = 
158 AM_V_at = $(am__v_at_@AM_V@)
159 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
160 am__v_at_0 = @
161 am__v_at_1 = 
162 SOURCES =
163 DIST_SOURCES =
164 am__can_run_installinfo = \
165   case $$AM_UPDATE_INFO_DIR in \
166     n|no|NO) false;; \
167     *) (install-info --version) >/dev/null 2>&1;; \
168   esac
169 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
170 am__vpath_adj = case $$p in \
171     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
172     *) f=$$p;; \
173   esac;
174 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
175 am__install_max = 40
176 am__nobase_strip_setup = \
177   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
178 am__nobase_strip = \
179   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
180 am__nobase_list = $(am__nobase_strip_setup); \
181   for p in $$list; do echo "$$p $$p"; done | \
182   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
183   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
184     if (++n[$$2] == $(am__install_max)) \
185       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
186     END { for (dir in files) print dir, files[dir] }'
187 am__base_list = \
188   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
189   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
190 am__uninstall_files_from_dir = { \
191   test -z "$$files" \
192     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
193     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
194          $(am__cd) "$$dir" && rm -f $$files; }; \
195   }
196 am__installdirs = "$(DESTDIR)$(libsciatoms_la_etcdir)" \
197         "$(DESTDIR)$(libsciatoms_la_guidir)" \
198         "$(DESTDIR)$(libsciatoms_la_rootdir)" \
199         "$(DESTDIR)$(libsciatoms_la_iconsdir)"
200 DATA = $(libsciatoms_la_etc_DATA) $(libsciatoms_la_gui_DATA) \
201         $(libsciatoms_la_root_DATA) \
202         $(nobase_libsciatoms_la_icons_DATA)
203 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
204 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
205         $(top_srcdir)/config/mkinstalldirs
206 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
207 ACLOCAL = @ACLOCAL@
208 ALL_LINGUAS = @ALL_LINGUAS@
209 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
210 AMTAR = @AMTAR@
211 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
212 ANT = @ANT@
213 ANTLR = @ANTLR@
214 AR = @AR@
215 ARPACK_LIBS = @ARPACK_LIBS@
216 ASM3 = @ASM3@
217 AUTOCONF = @AUTOCONF@
218 AUTOHEADER = @AUTOHEADER@
219 AUTOMAKE = @AUTOMAKE@
220 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
221 AWK = @AWK@
222 BATIK = @BATIK@
223 BLAS_CFLAGS = @BLAS_CFLAGS@
224 BLAS_LIBS = @BLAS_LIBS@
225 CC = @CC@
226 CCACHE = @CCACHE@
227 CCDEPMODE = @CCDEPMODE@
228 CFLAGS = @CFLAGS@
229 CHECKSTYLE = @CHECKSTYLE@
230 COBERTURA = @COBERTURA@
231 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
232 COMMONS_IO = @COMMONS_IO@
233 COMMONS_LOGGING = @COMMONS_LOGGING@
234 CPP = @CPP@
235 CPPFLAGS = @CPPFLAGS@
236 CURL_CFLAGS = @CURL_CFLAGS@
237 CURL_CONFIG = @CURL_CONFIG@
238 CURL_LIBS = @CURL_LIBS@
239 CURL_VERSION = @CURL_VERSION@
240 CXX = @CXX@
241 CXXCPP = @CXXCPP@
242 CXXDEPMODE = @CXXDEPMODE@
243 CXXFLAGS = @CXXFLAGS@
244 CYGPATH_W = @CYGPATH_W@
245 DEFS = @DEFS@
246 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
247 DEPDIR = @DEPDIR@
248 DLLTOOL = @DLLTOOL@
249 DOCBOOK_ROOT = @DOCBOOK_ROOT@
250 DOXYGEN_BIN = @DOXYGEN_BIN@
251 DSYMUTIL = @DSYMUTIL@
252 DUMPBIN = @DUMPBIN@
253 ECHO_C = @ECHO_C@
254 ECHO_N = @ECHO_N@
255 ECHO_T = @ECHO_T@
256 ECJ = @ECJ@
257 EGREP = @EGREP@
258 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
259 EXEEXT = @EXEEXT@
260 F77 = @F77@
261 FFLAGS = @FFLAGS@
262 FFTW3_LIB = @FFTW3_LIB@
263 FFTW_ENABLE = @FFTW_ENABLE@
264 FGREP = @FGREP@
265 FLEXDOCK = @FLEXDOCK@
266 FLIBS = @FLIBS@
267 FOP = @FOP@
268 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
269 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
270 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
271 FREEHEP_IO = @FREEHEP_IO@
272 FREEHEP_UTIL = @FREEHEP_UTIL@
273 GENHTML = @GENHTML@
274 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
275 GIWS_BIN = @GIWS_BIN@
276 GLUEGEN2_RT = @GLUEGEN2_RT@
277 GMSGFMT = @GMSGFMT@
278 GMSGFMT_015 = @GMSGFMT_015@
279 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
280 GREP = @GREP@
281 GUI_ENABLE = @GUI_ENABLE@
282 HAMCREST = @HAMCREST@
283 HAVE_CXX11 = @HAVE_CXX11@
284 HDF5_CFLAGS = @HDF5_CFLAGS@
285 HDF5_LIBS = @HDF5_LIBS@
286 HELP_ENABLE = @HELP_ENABLE@
287 INSTALL = @INSTALL@
288 INSTALL_DATA = @INSTALL_DATA@
289 INSTALL_PROGRAM = @INSTALL_PROGRAM@
290 INSTALL_SCRIPT = @INSTALL_SCRIPT@
291 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
292 INTLLIBS = @INTLLIBS@
293 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
294 JAR = @JAR@
295 JAVA = @JAVA@
296 JAVAC = @JAVAC@
297 JAVAC_DEBUG = @JAVAC_DEBUG@
298 JAVADOC = @JAVADOC@
299 JAVAH = @JAVAH@
300 JAVASCI_ENABLE = @JAVASCI_ENABLE@
301 JAVA_ENABLE = @JAVA_ENABLE@
302 JAVA_G = @JAVA_G@
303 JAVA_HOME = @JAVA_HOME@
304 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
305 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
306 JDB = @JDB@
307 JEUCLID_CORE = @JEUCLID_CORE@
308 JGRAPHX = @JGRAPHX@
309 JHALL = @JHALL@
310 JLATEXMATH = @JLATEXMATH@
311 JLATEXMATH_FOP = @JLATEXMATH_FOP@
312 JOGL2 = @JOGL2@
313 JROSETTA_API = @JROSETTA_API@
314 JROSETTA_ENGINE = @JROSETTA_ENGINE@
315 JUNIT4 = @JUNIT4@
316 LAPACK_LIBS = @LAPACK_LIBS@
317 LCOV = @LCOV@
318 LD = @LD@
319 LDFLAGS = @LDFLAGS@
320 LEX = @LEX@
321 LEXLIB = @LEXLIB@
322 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
323 LIBICONV = @LIBICONV@
324 LIBINTL = @LIBINTL@
325 LIBM = @LIBM@
326 LIBOBJS = @LIBOBJS@
327 LIBS = @LIBS@
328 LIBTOOL = @LIBTOOL@
329 LIPO = @LIPO@
330 LN_S = @LN_S@
331 LOGGING_LEVEL = @LOGGING_LEVEL@
332 LOOKS = @LOOKS@
333 LTLIBICONV = @LTLIBICONV@
334 LTLIBINTL = @LTLIBINTL@
335 LTLIBOBJS = @LTLIBOBJS@
336 MAINT = @MAINT@
337 MAKEINFO = @MAKEINFO@
338 MANIFEST_TOOL = @MANIFEST_TOOL@
339 MATIO_CFLAGS = @MATIO_CFLAGS@
340 MATIO_ENABLE = @MATIO_ENABLE@
341 MATIO_LIBS = @MATIO_LIBS@
342 MKDIR_P = @MKDIR_P@
343 MPI_ENABLE = @MPI_ENABLE@
344 MSGCAT = @MSGCAT@
345 MSGFMT = @MSGFMT@
346 MSGFMT_015 = @MSGFMT_015@
347 MSGMERGE = @MSGMERGE@
348 NM = @NM@
349 NMEDIT = @NMEDIT@
350 OBJDUMP = @OBJDUMP@
351 OBJEXT = @OBJEXT@
352 OCAMLC = @OCAMLC@
353 OCAMLDEP = @OCAMLDEP@
354 OCAMLLEX = @OCAMLLEX@
355 OCAMLOPT = @OCAMLOPT@
356 OCAMLYACC = @OCAMLYACC@
357 OPENMPI_CC = @OPENMPI_CC@
358 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
359 OPENMPI_CXX = @OPENMPI_CXX@
360 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
361 OPENMPI_LIBS = @OPENMPI_LIBS@
362 OPENMP_CFLAGS = @OPENMP_CFLAGS@
363 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
364 OPENMP_ENABLE = @OPENMP_ENABLE@
365 OPENMP_LIBS = @OPENMP_LIBS@
366 OTOOL = @OTOOL@
367 OTOOL64 = @OTOOL64@
368 PACKAGE = @PACKAGE@
369 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
370 PACKAGE_NAME = @PACKAGE_NAME@
371 PACKAGE_STRING = @PACKAGE_STRING@
372 PACKAGE_TARNAME = @PACKAGE_TARNAME@
373 PACKAGE_URL = @PACKAGE_URL@
374 PACKAGE_VERSION = @PACKAGE_VERSION@
375 PATH_SEPARATOR = @PATH_SEPARATOR@
376 PCRE_CFLAGS = @PCRE_CFLAGS@
377 PCRE_CONFIG = @PCRE_CONFIG@
378 PCRE_LIBS = @PCRE_LIBS@
379 PCRE_VERSION = @PCRE_VERSION@
380 PKG_CONFIG = @PKG_CONFIG@
381 POSUB = @POSUB@
382 POW_LIB = @POW_LIB@
383 PYTHON = @PYTHON@
384 RANLIB = @RANLIB@
385 RELOCATABLE = @RELOCATABLE@
386 RT_LIB = @RT_LIB@
387 SAXON = @SAXON@
388 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
389 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
390 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
391 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
392 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
393 SCIRENDERER = @SCIRENDERER@
394 SCIRENDERER_CP = @SCIRENDERER_CP@
395 SCI_CFLAGS = @SCI_CFLAGS@
396 SCI_CXXFLAGS = @SCI_CXXFLAGS@
397 SCI_FFLAGS = @SCI_FFLAGS@
398 SCI_LDFLAGS = @SCI_LDFLAGS@
399 SED = @SED@
400 SET_MAKE = @SET_MAKE@
401 SET_RELOCATABLE = @SET_RELOCATABLE@
402 SHELL = @SHELL@
403 SKINLF = @SKINLF@
404 SPLINT = @SPLINT@
405 STRIP = @STRIP@
406 SWIG_BIN = @SWIG_BIN@
407 SWIG_JAVA = @SWIG_JAVA@
408 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
409 SWIG_SCILAB = @SWIG_SCILAB@
410 TCLTK_LIBS = @TCLTK_LIBS@
411 TCL_INC_PATH = @TCL_INC_PATH@
412 TK_INC_PATH = @TK_INC_PATH@
413 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
414 UMFPACK_ENABLE = @UMFPACK_ENABLE@
415 UMFPACK_LIB = @UMFPACK_LIB@
416 USE_NLS = @USE_NLS@
417 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
418 VALGRIND_LIBS = @VALGRIND_LIBS@
419 VERSION = @VERSION@
420 WITH_OCAML = @WITH_OCAML@
421 WITH_TKSCI = @WITH_TKSCI@
422 XCOS_ENABLE = @XCOS_ENABLE@
423 XGETTEXT = @XGETTEXT@
424 XGETTEXT_015 = @XGETTEXT_015@
425 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
426 XMKMF = @XMKMF@
427 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
428 XML_APIS_EXT = @XML_APIS_EXT@
429 XML_CONFIG = @XML_CONFIG@
430 XML_FLAGS = @XML_FLAGS@
431 XML_LIBS = @XML_LIBS@
432 XML_VERSION = @XML_VERSION@
433 X_CFLAGS = @X_CFLAGS@
434 X_EXTRA_LIBS = @X_EXTRA_LIBS@
435 X_LIBS = @X_LIBS@
436 X_PRE_LIBS = @X_PRE_LIBS@
437 YACC = @YACC@
438 YFLAGS = @YFLAGS@
439 abs_builddir = @abs_builddir@
440 abs_srcdir = @abs_srcdir@
441 abs_top_builddir = @abs_top_builddir@
442 abs_top_srcdir = @abs_top_srcdir@
443 ac_ct_AR = @ac_ct_AR@
444 ac_ct_CC = @ac_ct_CC@
445 ac_ct_CXX = @ac_ct_CXX@
446 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
447 ac_ct_F77 = @ac_ct_F77@
448 am__include = @am__include@
449 am__leading_dot = @am__leading_dot@
450 am__quote = @am__quote@
451 am__tar = @am__tar@
452 am__untar = @am__untar@
453 bindir = @bindir@
454 build = @build@
455 build_alias = @build_alias@
456 build_cpu = @build_cpu@
457 build_os = @build_os@
458 build_vendor = @build_vendor@
459 builddir = @builddir@
460 cxx_present = @cxx_present@
461 datadir = @datadir@
462 datarootdir = @datarootdir@
463 docdir = @docdir@
464 dvidir = @dvidir@
465 exec_prefix = @exec_prefix@
466 host = @host@
467 host_alias = @host_alias@
468 host_cpu = @host_cpu@
469 host_os = @host_os@
470 host_vendor = @host_vendor@
471 htmldir = @htmldir@
472 includedir = @includedir@
473 infodir = @infodir@
474 install_sh = @install_sh@
475 libdir = @libdir@
476 libexecdir = @libexecdir@
477 localedir = @localedir@
478 localstatedir = @localstatedir@
479 mandir = @mandir@
480 mkdir_p = @mkdir_p@
481 oldincludedir = @oldincludedir@
482 pdfdir = @pdfdir@
483 prefix = @prefix@
484 program_transform_name = @program_transform_name@
485 psdir = @psdir@
486 sbindir = @sbindir@
487 sharedstatedir = @sharedstatedir@
488 srcdir = @srcdir@
489 sysconfdir = @sysconfdir@
490 target_alias = @target_alias@
491 top_build_prefix = @top_build_prefix@
492 top_builddir = @top_builddir@
493 top_srcdir = @top_srcdir@
494 yacc_present = @yacc_present@
495 modulename = atoms
496
497 #### atoms : Conf files ####
498 libsciatoms_la_rootdir = $(mydatadir)
499 libsciatoms_la_root_DATA = license.txt 
500
501 #### atoms : init scripts ####
502 libsciatoms_la_etcdir = $(mydatadir)/etc
503 libsciatoms_la_etc_DATA = etc/atoms.quit etc/atoms.start etc/repositories
504
505 #### atoms : XML gui ####
506 libsciatoms_la_guidir = $(mydatadir)/gui
507 libsciatoms_la_gui_DATA = gui/atomsGui.xml
508
509 #### atoms : internal functions ####
510 MACROSDIRSEXT = macros/atoms_internals macros/atoms_gui
511
512 #### atoms : icons files ####
513 #
514 # Generated with:
515 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
516 libsciatoms_la_iconsdir = $(mydatadir)/
517 nobase_libsciatoms_la_icons_DATA = images/icons/16x16/emblems/emblem-default.png \
518 images/icons/16x16/status/dialog-information.png \
519 images/icons/16x16/status/software-update-available.png \
520 images/icons/16x16/status/software-update-installed.png \
521 images/icons/16x16/status/software-update-notinstalled.png \
522 images/icons/16x16/status/software-update-notuptodate.png
523
524
525 # Where all the Scilab stuff is installed (macros, help, ...)
526 mydatadir = $(pkgdatadir)/modules/$(modulename)
527
528 # Set AM_* SCI detected settings
529 AM_CPPFLAGS = $(SCI_CPPFLAGS)
530 AM_CFLAGS = $(SCI_CFLAGS)
531 AM_CXXFLAGS = $(SCI_CXXFLAGS)
532 # append includes to AM_FFLAGS to manage fortran includes
533 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
534
535 # Tag shared libraries with the Scilab version
536 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
537
538 # splint options
539 SPLINT_OPTIONS = -weak -booltype BOOL
540
541 ########################### JAVA ######################################
542 #### We are delegating java compilation to ant... Thanks to that
543 #### the procedure will be the same with Microsoft Windows (C)
544 #### and Linux/Unix
545 #######################################################################
546 TARGETS_ALL = $(am__append_1)
547
548 ################ MACROS ######################
549 # Rule to build a macro
550 # NOT USED  AT THE MOMENT
551 SUFFIXES = .sci
552
553 ########### INSTALL DOCUMENTATION ###################
554
555 # Install documentation files into the right target
556 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
557 # automake needs the html files to be present which is not the case when
558 # we are building Scilab
559
560 # Where it should be installed
561 pkgdocdir = $(mydatadir)
562
563 # What is the mask of the help source
564 DOCMASKXML = *.xml
565
566 # What is the mask of the MathML sources
567 DOCMASKMML = *.mml
568
569 ########### INSTALL DATA ###################
570 # Install macros, help & demos
571 # Where it should be installed
572 pkgmacrosdir = $(mydatadir)
573 # Which directory we process
574 MACRODIRS = macros/
575 # Mask of the Scilab sources macros
576 MACROMASK = *.sci
577 # Mask of the Scilab executable sources macros
578 MACROBUILDMASK = *.sce
579 # Mask of the Scilab compiled macros
580 MACROBINMASK = *.bin
581 # List of the standard directory for tests
582 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
583 # Where the demos should be installed
584 pkgdemosdir = $(mydatadir)
585 # List of the standard directory for demos
586 DEMOS_DIR = demos
587 # List of the standard directory for examples
588 EXAMPLES_DIR = examples
589 # Where to export JAVA archives (.jar)
590 JARDIR = jar/
591 # JAR files mask
592 JARMASK = *.jar
593 # Chapter file
594 HELP_CHAPTERDIR = help/
595 HELP_CHAPTERFILE = addchapter.sce
596 HELP_CHAPTERLANG = en_US fr_FR pt_BR
597 all: all-am
598
599 .SUFFIXES:
600 .SUFFIXES: .sci .bin
601 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
602         @for dep in $?; do \
603           case '$(am__configure_deps)' in \
604             *$$dep*) \
605               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
606                 && { if test -f $@; then exit 0; else break; fi; }; \
607               exit 1;; \
608           esac; \
609         done; \
610         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/atoms/Makefile'; \
611         $(am__cd) $(top_srcdir) && \
612           $(AUTOMAKE) --foreign modules/atoms/Makefile
613 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
614         @case '$?' in \
615           *config.status*) \
616             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
617           *) \
618             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
619             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
620         esac;
621 $(top_srcdir)/Makefile.incl.am $(am__empty):
622
623 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
624         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
625
626 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
627         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
628 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
629         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
630 $(am__aclocal_m4_deps):
631
632 mostlyclean-libtool:
633         -rm -f *.lo
634
635 clean-libtool:
636         -rm -rf .libs _libs
637 install-libsciatoms_la_etcDATA: $(libsciatoms_la_etc_DATA)
638         @$(NORMAL_INSTALL)
639         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
640         if test -n "$$list"; then \
641           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
642           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit 1; \
643         fi; \
644         for p in $$list; do \
645           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
646           echo "$$d$$p"; \
647         done | $(am__base_list) | \
648         while read files; do \
649           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_etcdir)'"; \
650           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_etcdir)" || exit $$?; \
651         done
652
653 uninstall-libsciatoms_la_etcDATA:
654         @$(NORMAL_UNINSTALL)
655         @list='$(libsciatoms_la_etc_DATA)'; test -n "$(libsciatoms_la_etcdir)" || list=; \
656         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
657         dir='$(DESTDIR)$(libsciatoms_la_etcdir)'; $(am__uninstall_files_from_dir)
658 install-libsciatoms_la_guiDATA: $(libsciatoms_la_gui_DATA)
659         @$(NORMAL_INSTALL)
660         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
661         if test -n "$$list"; then \
662           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
663           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_guidir)" || exit 1; \
664         fi; \
665         for p in $$list; do \
666           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
667           echo "$$d$$p"; \
668         done | $(am__base_list) | \
669         while read files; do \
670           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_guidir)'"; \
671           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_guidir)" || exit $$?; \
672         done
673
674 uninstall-libsciatoms_la_guiDATA:
675         @$(NORMAL_UNINSTALL)
676         @list='$(libsciatoms_la_gui_DATA)'; test -n "$(libsciatoms_la_guidir)" || list=; \
677         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
678         dir='$(DESTDIR)$(libsciatoms_la_guidir)'; $(am__uninstall_files_from_dir)
679 install-libsciatoms_la_rootDATA: $(libsciatoms_la_root_DATA)
680         @$(NORMAL_INSTALL)
681         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
682         if test -n "$$list"; then \
683           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
684           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit 1; \
685         fi; \
686         for p in $$list; do \
687           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
688           echo "$$d$$p"; \
689         done | $(am__base_list) | \
690         while read files; do \
691           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciatoms_la_rootdir)'"; \
692           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciatoms_la_rootdir)" || exit $$?; \
693         done
694
695 uninstall-libsciatoms_la_rootDATA:
696         @$(NORMAL_UNINSTALL)
697         @list='$(libsciatoms_la_root_DATA)'; test -n "$(libsciatoms_la_rootdir)" || list=; \
698         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
699         dir='$(DESTDIR)$(libsciatoms_la_rootdir)'; $(am__uninstall_files_from_dir)
700 install-nobase_libsciatoms_la_iconsDATA: $(nobase_libsciatoms_la_icons_DATA)
701         @$(NORMAL_INSTALL)
702         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
703         if test -n "$$list"; then \
704           echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)'"; \
705           $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)" || exit 1; \
706         fi; \
707         $(am__nobase_list) | while read dir files; do \
708           xfiles=; for file in $$files; do \
709             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
710             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
711           test -z "$$xfiles" || { \
712             test "x$$dir" = x. || { \
713               echo " $(MKDIR_P) '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
714               $(MKDIR_P) "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir"; }; \
715             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir'"; \
716             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciatoms_la_iconsdir)/$$dir" || exit $$?; }; \
717         done
718
719 uninstall-nobase_libsciatoms_la_iconsDATA:
720         @$(NORMAL_UNINSTALL)
721         @list='$(nobase_libsciatoms_la_icons_DATA)'; test -n "$(libsciatoms_la_iconsdir)" || list=; \
722         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
723         dir='$(DESTDIR)$(libsciatoms_la_iconsdir)'; $(am__uninstall_files_from_dir)
724 tags TAGS:
725
726 ctags CTAGS:
727
728 cscope cscopelist:
729
730
731 distdir: $(DISTFILES)
732         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
733         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
734         list='$(DISTFILES)'; \
735           dist_files=`for file in $$list; do echo $$file; done | \
736           sed -e "s|^$$srcdirstrip/||;t" \
737               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
738         case $$dist_files in \
739           */*) $(MKDIR_P) `echo "$$dist_files" | \
740                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
741                            sort -u` ;; \
742         esac; \
743         for file in $$dist_files; do \
744           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
745           if test -d $$d/$$file; then \
746             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
747             if test -d "$(distdir)/$$file"; then \
748               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
749             fi; \
750             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
751               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
752               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
753             fi; \
754             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
755           else \
756             test -f "$(distdir)/$$file" \
757             || cp -p $$d/$$file "$(distdir)/$$file" \
758             || exit 1; \
759           fi; \
760         done
761 check-am: all-am
762         $(MAKE) $(AM_MAKEFLAGS) check-local
763 check: check-am
764 all-am: Makefile $(DATA) all-local
765 installdirs:
766         for dir in "$(DESTDIR)$(libsciatoms_la_etcdir)" "$(DESTDIR)$(libsciatoms_la_guidir)" "$(DESTDIR)$(libsciatoms_la_rootdir)" "$(DESTDIR)$(libsciatoms_la_iconsdir)"; do \
767           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
768         done
769 install: install-am
770 install-exec: install-exec-am
771 install-data: install-data-am
772 uninstall: uninstall-am
773
774 install-am: all-am
775         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
776
777 installcheck: installcheck-am
778 install-strip:
779         if test -z '$(STRIP)'; then \
780           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
781             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
782               install; \
783         else \
784           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
785             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
786             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
787         fi
788 mostlyclean-generic:
789
790 clean-generic:
791
792 distclean-generic:
793         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
794         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
795
796 maintainer-clean-generic:
797         @echo "This command is intended for maintainers to use"
798         @echo "it deletes files that may require special tools to rebuild."
799 clean: clean-am
800
801 clean-am: clean-generic clean-libtool clean-local mostlyclean-am
802
803 distclean: distclean-am
804         -rm -f Makefile
805 distclean-am: clean-am distclean-generic distclean-local
806
807 dvi: dvi-am
808
809 dvi-am:
810
811 html: html-am
812
813 html-am:
814
815 info: info-am
816
817 info-am:
818
819 install-data-am: install-data-local install-libsciatoms_la_etcDATA \
820         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
821         install-nobase_libsciatoms_la_iconsDATA
822
823 install-dvi: install-dvi-am
824
825 install-dvi-am:
826
827 install-exec-am:
828
829 install-html: install-html-am
830
831 install-html-am: install-html-local
832
833 install-info: install-info-am
834
835 install-info-am:
836
837 install-man:
838
839 install-pdf: install-pdf-am
840
841 install-pdf-am:
842
843 install-ps: install-ps-am
844
845 install-ps-am:
846
847 installcheck-am:
848
849 maintainer-clean: maintainer-clean-am
850         -rm -f Makefile
851 maintainer-clean-am: distclean-am maintainer-clean-generic
852
853 mostlyclean: mostlyclean-am
854
855 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
856
857 pdf: pdf-am
858
859 pdf-am:
860
861 ps: ps-am
862
863 ps-am:
864
865 uninstall-am: uninstall-libsciatoms_la_etcDATA \
866         uninstall-libsciatoms_la_guiDATA \
867         uninstall-libsciatoms_la_rootDATA \
868         uninstall-nobase_libsciatoms_la_iconsDATA
869
870 .MAKE: check-am install-am install-strip
871
872 .PHONY: all all-am all-local check check-am check-local clean \
873         clean-generic clean-libtool clean-local cscopelist-am ctags-am \
874         distclean distclean-generic distclean-libtool distclean-local \
875         distdir dvi dvi-am html html-am info info-am install \
876         install-am install-data install-data-am install-data-local \
877         install-dvi install-dvi-am install-exec install-exec-am \
878         install-html install-html-am install-html-local install-info \
879         install-info-am install-libsciatoms_la_etcDATA \
880         install-libsciatoms_la_guiDATA install-libsciatoms_la_rootDATA \
881         install-man install-nobase_libsciatoms_la_iconsDATA \
882         install-pdf install-pdf-am install-ps install-ps-am \
883         install-strip installcheck installcheck-am installdirs \
884         maintainer-clean maintainer-clean-generic mostlyclean \
885         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
886         tags-am uninstall uninstall-am \
887         uninstall-libsciatoms_la_etcDATA \
888         uninstall-libsciatoms_la_guiDATA \
889         uninstall-libsciatoms_la_rootDATA \
890         uninstall-nobase_libsciatoms_la_iconsDATA
891
892 .PRECIOUS: Makefile
893
894
895 # This target enables tests for Scilab
896 check-local: $(top_builddir)/scilab-bin test
897         if test -d $(mydatadir)/tests; then \
898           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
899         fi
900 check-code:
901         if test -f build.xml; then \
902                 $(ANT) checkstyle; \
903         fi
904         if test -x "$(SPLINT)"; then \
905                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
906         fi
907 @NEED_JAVA_TRUE@java:
908 # Some configurations needs to export JAVA_HOME in the current env
909 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
910 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
911 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
912 @NEED_JAVA_TRUE@                $(ANT); \
913 @NEED_JAVA_TRUE@        fi
914
915 @NEED_JAVA_TRUE@clean-java:
916 # Some configurations needs to export JAVA_HOME in the current env
917 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
918 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
919 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
920 @NEED_JAVA_TRUE@                $(ANT) clean; \
921 @NEED_JAVA_TRUE@        fi;
922
923 # If the user request for the SWIG generation of the wrappers Java => C/C++
924 # We call the target swig-build on the variable SWIG_WRAPPERS
925
926 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
927 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
928 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
929 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
930 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
931 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
932 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
933 @SWIG_TRUE@             done; \
934 @SWIG_TRUE@     fi
935
936 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
937 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
938 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
939 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
940 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
941 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
942 @SWIG_TRUE@             done; \
943 @SWIG_TRUE@     fi
944
945 # If the user request for the SWIG generation of the wrappers Java => C/C++
946 # We call the target swig-build on the variable SWIG_WRAPPERS
947
948 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
949 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
950 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
951 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
952 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
953 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
954 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
955 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
956 @GIWS_TRUE@                     else \
957 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
958 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
959 @GIWS_TRUE@                     fi \
960 @GIWS_TRUE@             done; \
961 @GIWS_TRUE@     fi
962
963 @GIWS_TRUE@giws-exception:
964 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
965 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
966 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
967
968 macros:
969         -@( if test ! -x $(top_builddir)/scilab-bin; then \
970                 echo "Error : Cannot build $< : Scilab has not been built"; \
971         else \
972                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
973         fi)
974
975 # Removes the macros
976 clean-macros:
977 # Removes macros (*.bin generated from .sci)
978         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
979                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
980                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
981         done
982
983 test:
984 # More tests could be added here
985         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
986         if test -f build.xml -a $$USEANT -eq 1; then \
987                 $(ANT) test; \
988         fi
989
990 all-local: $(TARGETS_ALL)
991
992 .sci.bin:
993         -@( if test ! -x $(top_builddir)/scilab-bin; then \
994         echo "Error : Cannot build $< : Scilab has not been build"; \
995         else \
996         echo "Creating $@"; \
997         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
998         fi )
999
1000 install-html-local:
1001
1002 install-data-local-local:
1003 # Mainly for javasci
1004         @if test -d $(srcdir)/javadoc; then \
1005                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1006         fi
1007 # If the user wants the help sources to be installed
1008 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1009 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1010 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1011 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1012 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1013 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1014 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1015 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1016 @INSTALL_HELP_XML_TRUE@           done ; \
1017 @INSTALL_HELP_XML_TRUE@         fi; \
1018 @INSTALL_HELP_XML_TRUE@  fi; \
1019 @INSTALL_HELP_XML_TRUE@ done; \
1020 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1021 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1022 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1023 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1024 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1025 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1026 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1027 @INSTALL_HELP_XML_TRUE@           done ; \
1028 @INSTALL_HELP_XML_TRUE@         fi; \
1029 @INSTALL_HELP_XML_TRUE@ fi
1030 install-data-local:
1031 # Install the tests
1032         @echo "-------- Install tests (if any) --------"; \
1033         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1034           if test -d $(srcdir)/$$dir/; then \
1035             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1036                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1037                     if test -d "$(srcdir)/$$dir/$$file"; then \
1038                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1039                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1040                     else \
1041                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1042                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1043                     fi \
1044                   done; \
1045           fi; \
1046         done
1047 # Install the help chapter
1048         @echo "-------- Install the help chapter (if any) --------"; \
1049         for lang in $(HELP_CHAPTERLANG); do \
1050                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1051                 if test -f $$HELPFILE; then \
1052                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1053                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1054                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1055                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1056                 fi; \
1057         done
1058 # Install the demos & examples
1059         @echo "-------- Install demos & examples (if any) --------"; \
1060         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1061           if test -d $(srcdir)/$$dir/; then \
1062             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1063                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1064                     if test -d "$(srcdir)/$$dir/$$file"; then \
1065                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1066                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1067                     else \
1068                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1069                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1070                     fi \
1071                   done; \
1072           fi; \
1073         done
1074 # Install the macros
1075         @echo "-------- Install macros (if any) --------"; \
1076         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1077           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1078                 if test -d $(srcdir)/$$dir/; then \
1079                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1080                         if test -n "$(MACROSSPECIALEXT)"; then \
1081                                 specialExtDir=""; \
1082                                 for specialExt in $(MACROSSPECIALEXT); do \
1083                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1084                                 done; \
1085                                 FILELIST="$$FILELIST $$specialExtDir"; \
1086                         fi; \
1087                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1088                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1089                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1090                   done; \
1091                 fi; \
1092         done
1093 # Install java files (.jar)
1094         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1095         echo "-------- Install jar files --------"; \
1096     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1097           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1098                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1099                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1100           done ; \
1101         fi
1102
1103 ########### CLEAN ###################
1104 # Clean help (generated automatically by Scilab)
1105 # It used to clean the macro (clean-macros) but this was causing
1106 # make clean && make to fail Scilab startup
1107 @NEED_JAVA_TRUE@clean-local: clean-java
1108 @NEED_JAVA_FALSE@clean-local:
1109
1110 distclean-local:
1111         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1112
1113 .PHONY: macros java swig giws
1114
1115 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1116 # Otherwise a system limit (for SysV at least) may be exceeded.
1117 .NOEXPORT: